## sense-emu 1.2

=== Makefile ===
# vim: set noet sw=4 ts=4 fileencoding=utf-8:

# External utilities
PYTHON=python3
PIP=pip
PYTEST=pytest
TWINE=twine
PYFLAGS=
MSGINIT=msginit
MSGMERGE=msgmerge
MSGFMT=msgfmt
XGETTEXT=xgettext
GCS=glib-compile-schemas
DEST_DIR=/

# Find the location of the GObject introspection libs and cairo (required for
# the develop target)
RTIMULIB:=$(wildcard /usr/lib/python3/dist-packages/RTIMU.*)
CAIRO:=$(wildcard /usr/lib/python3/dist-packages/cairo)
GI:=$(wildcard /usr/lib/python3/dist-packages/gi)
GOBJECT:=
GLIB:=

# Calculate the base names of the distribution, the location of all source,
# documentation, packaging, icon, and executable script files
NAME:=$(shell $(PYTHON) $(PYFLAGS) setup.py --name)
WHEEL_NAME:=$(subst -,_,$(NAME))
VER:=$(shell $(PYTHON) $(PYFLAGS) setup.py --version)
PY_SOURCES:=$(shell \
	$(PYTHON) $(PYFLAGS) setup.py egg_info >/dev/null 2>&1 && \
	cat $(WHEEL_NAME).egg-info/SOURCES.txt | grep -v "\.egg-info"  | grep -v "\.mo$$")
DOC_SOURCES:=docs/conf.py \
	$(wildcard docs/*.png) \
	$(wildcard docs/*.svg) \
	$(wildcard docs/*.dot) \
	$(wildcard docs/*.mscgen) \
	$(wildcard docs/*.gpi) \
	$(wildcard docs/*.rst) \
	$(wildcard docs/*.pdf)
SUBDIRS:=icons

# Calculate the name of all outputs
DIST_WHEEL=dist/$(WHEEL_NAME)-$(VER)-py3-none-any.whl
DIST_TAR=dist/$(NAME)-$(VER).tar.gz
DIST_ZIP=dist/$(NAME)-$(VER).zip
MAN_PAGES=man/sense_rec.1 man/sense_play.1 man/sense_csv.1 man/sense_emu_gui.1
POT_FILE=$(WHEEL_NAME)/locale/$(NAME).pot
PO_FILES:=$(wildcard $(WHEEL_NAME)/locale/*.po)
MO_FILES:=$(patsubst $(WHEEL_NAME)/locale/%.po,$(WHEEL_NAME)/locale/%/LC_MESSAGES/$(NAME).mo,$(PO_FILES))
GSCHEMA_FILES:=$(wildcard $(WHEEL_NAME)/*.gschema.xml)
GSCHEMA_COMPILED=$(WHEEL_NAME)/gschemas.compiled


# Default target
all:
	@echo "make install - Install on local system"
	@echo "make develop - Install symlinks for development"
	@echo "make i18n - Update translation files"
	@echo "make gschema - Update gschema settings"
	@echo "make test - Run tests"
	@echo "make doc - Generate HTML and PDF documentation"
	@echo "make source - Create source package"
	@echo "make wheel - Generate a PyPI wheel package"
	@echo "make zip - Generate a source zip package"
	@echo "make tar - Generate a source tar package"
	@echo "make dist - Generate all packages"
	@echo "make clean - Get rid of all generated files"
	@echo "make release - Create and tag a new release"
	@echo "make upload - Upload the new release to repositories"

install: $(SUBDIRS) $(MO_FILES) $(GSCHEMA_COMPILED)
	$(PYTHON) $(PYFLAGS) setup.py install --root $(DEST_DIR)

doc: $(DOC_SOURCES)
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(MAKE) -C docs epub
	$(MAKE) -C docs latexpdf
	$(MAKE) $(MAN_PAGES)

source: $(DIST_TAR) $(DIST_ZIP)

wheel: $(DIST_WHEEL)

zip: $(DIST_ZIP)

tar: $(DIST_TAR)

dist: $(DIST_WHEEL) $(DIST_TAR) $(DIST_ZIP)

i18n: $(MO_FILES) $(PO_FILES) $(POT_FILE)

gschema: $(GSCHEMA_COMPILED)

develop:
	@# These have to be done separately to avoid a cockup...
	$(PIP) install -U setuptools
	$(PIP) install -U pip
	$(PIP) install -U twine
	$(PIP) install -U tox
	$(PIP) install -e .[doc,test]
	@# If we're in a venv, link the system's GObject Introspection (gi) into it
ifeq ($(VIRTUAL_ENV),)
	@echo "Virtualenv not detected! You may need to link gi manually"
else
ifeq ($(RTIMULIB),)
	@echo "WARNING: RTIMULib not found. This is fine on non-Pi platforms"
else
	ln -sf $(RTIMULIB) $(VIRTUAL_ENV)/lib/python*/site-packages/
endif
ifeq ($(CAIRO),)
	@echo "ERROR: cairo not found. Install the python{,3}-cairo packages"
else
	ln -sf $(CAIRO) $(VIRTUAL_ENV)/lib/python*/site-packages/
endif
ifeq ($(GI),)
	@echo "ERROR: gi not found. Install the python{,3}-gi packages"
else
	ln -sf $(GI) $(VIRTUAL_ENV)/lib/python*/site-packages/
endif
ifneq ($(GLIB),)
	ln -sf $(GLIB) $(VIRTUAL_ENV)/lib/python*/site-packages/
endif
ifneq ($(GOBJECT),)
	ln -sf $(GOBJECT) $(VIRTUAL_ENV)/lib/python*/site-packages/
endif
endif

test:
	$(PYTEST)

clean:
	rm -fr dist/ build/ man/ .pytest_cache/ .mypy_cache/ $(WHEEL_NAME).egg-info/ tags .coverage
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir clean; \
	done
	find $(CURDIR) -name "*.pyc" -delete
	find $(CURDIR) -name "__pycache__" -delete

tags: $(PY_SOURCES)
	ctags -R --exclude="build/*" --exclude="docs/*" --languages="Python"

lint: $(PY_SOURCES)
	pylint $(WHEEL_NAME)

$(SUBDIRS):
	$(MAKE) -C $@

$(MAN_PAGES): $(DOC_SOURCES)
	$(MAKE) -C docs man
	mkdir -p man/
	cp build/man/*.[0-9] man/

$(POT_FILE): $(PY_SOURCES)
	$(XGETTEXT) -cI18N -o $@ $(filter %.py,$^) $(filter %.ui,$^)

$(PO_FILES): $(POT_FILE)
	$(MSGMERGE) -U $@ $<

$(MO_FILES): $(PO_FILES)
	mkdir -p $(dir $@)
	$(MSGFMT) $(patsubst $(WHEEL_NAME)/locale/%/LC_MESSAGES/$(NAME).mo,$(WHEEL_NAME)/locale/%.po,$@) -o $@

$(GSCHEMA_COMPILED): $(GSCHEMA_FILES)
	$(GCS) $(WHEEL_NAME)

$(DIST_TAR): $(PY_SOURCES) $(MO_FILES) $(GSCHEMA_COMPILED) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats gztar

$(DIST_ZIP): $(PY_SOURCES) $(MO_FILES) $(GSCHEMA_COMPILED) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats zip

$(DIST_WHEEL): $(PY_SOURCES) $(MO_FILES) $(GSCHEMA_COMPILED) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py bdist_wheel

release:
	$(MAKE) clean
	test -z "$(shell git status --porcelain)"
	git tag -s v$(VER) -m "Release v$(VER)"
	git push origin v$(VER)

upload: $(DIST_TAR) $(DIST_WHEEL)
	$(TWINE) check $(DIST_TAR) $(DIST_WHEEL)
	$(TWINE) upload $(DIST_TAR) $(DIST_WHEEL)

.PHONY: all install develop test doc source wheel zip tar dist clean tags release upload $(SUBDIRS)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build
DOT_DIAGRAMS  := $(wildcard *.dot)
MSC_DIAGRAMS  := $(wildcard *.mscgen)
GPI_DIAGRAMS  := $(wildcard *.gpi)
SVG_IMAGES    := $(wildcard *.svg) $(DOT_DIAGRAMS:%.dot=%.svg) $(MSC_DIAGRAMS:%.mscgen=%.svg)
PNG_IMAGES    := $(wildcard *.png) $(GPI_DIAGRAMS:%.gpi=%.png)
PDF_IMAGES    := $(SVG_IMAGES:%.svg=%.pdf) $(GPI_DIAGRAMS:%.gpi=%.pdf) $(DOT_DIAGRAMS:%.dot=%.pdf) $(MSC_DIAGRAMS:%.mscgen=%.pdf)
INKSCAPE_VER  := $(shell inkscape --version | sed -ne '/^Inkscape/ s/^Inkscape \([0-9]\+\)\..*$$/\1/p')

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/picamera.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/picamera.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/picamera"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/picamera"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

%.svg: %.mscgen
	mscgen -T svg -o $@ $<

%.svg: %.dot
	dot -T svg -o $@ $<

%.png: %.gpi common.gp
	gnuplot -e "set term pngcairo size 640,480" $< > $@

ifeq ($(INKSCAPE_VER),0)
%.png: %.svg
	inkscape --export-dpi 150 -e $@ $<

%.pdf: %.svg
	inkscape -A $@ $<
else
%.png: %.svg
	inkscape --export-dpi 150 --export-type png -o $@ $<

%.pdf: %.svg
	inkscape --export-type pdf -o $@ $<
endif

%.pdf: %.gpi common.gp
	gnuplot -e "set term pdfcairo size 10cm,7.5cm" $< > $@

%.pdf: %.mscgen
	mscgen -T eps -o - $< | ps2pdf -dEPSCrop - $@

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

=== icons/Makefile ===
PNGS=16x16/sense_emu_gui.png 24x24/sense_emu_gui.png 32x32/sense_emu_gui.png 48x48/sense_emu_gui.png 64x64/sense_emu_gui.png 128x128/sense_emu_gui.png
XPMS=xpm/sense_emu_gui.xpm
ICONS=ico/sense_emu_gui.ico
DIRS=16x16 24x24 32x32 48x48 64x64 128x128 xpm ico

all: $(PNGS) $(XPMS) $(ICONS)

clean:
	rm -f $(PNGS) $(XPMS) $(ICONS)
	-rmdir $(DIRS)

$(DIRS):
	mkdir $@

16x16/%.png: scalable/%.svg 16x16
	convert -background none $< -resize 16x16 $@

24x24/%.png: scalable/%.svg 24x24
	convert -background none $< -resize 24x24 $@

32x32/%.png: scalable/%.svg 32x32
	convert -background none $< -resize 32x32 $@

48x48/%.png: scalable/%.svg 48x48
	convert -background none $< -resize 48x48 $@

64x64/%.png: scalable/%.svg 64x64
	convert -background none $< -resize 64x64 $@

128x128/%.png: scalable/%.svg 128x128
	convert -background none $< -resize 128x128 $@

# Starting from a large res PNG and resizing downward seems to produce the best
# "lower resolution" XPMs and ICOs

xpm/%.xpm: 128x128/%.png xpm
	convert $< -resize 32x32 $@

ico/%.ico: 128x128/%.png ico
	convert $< -bordercolor white -border 0 \
		\( -clone 0 -resize 16x16 \) \
		\( -clone 0 -resize 32x32 \) \
		\( -clone 0 -resize 48x48 \) \
		\( -clone 0 -resize 64x64 \) \
		-delete 0 -alpha off -colors 256 $@

=== debian/changelog ===
sense-emu (1.2-0ubuntu1) impish; urgency=medium

  * Initial Ubuntu release.

 -- Dave Jones <dave.jones@canonical.com>  Fri, 03 Sep 2021 00:36:05 +0100

=== debian/control ===
Source: sense-emu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Homepage: http://sense-emu.readthedocs.io/
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 imagemagick,
 librsvg2-bin,
 python3-all,
 python3-doc,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/raspi-team/sense-emu.git
Vcs-Browser: https://salsa.debian.org/raspi-team/sense-emu
Rules-Requires-Root: no

Package: python3-sense-emu
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-numpy,
 python3-pil,
 python3-pkg-resources,
Recommends: sense-emu-tools
Description: Client library for the Raspberry Pi Sense HAT emulator.
 sense-emu is an emulator of the Raspberry Pi Sense HAT which runs on multiple
 platforms, and provides an emulation of each sensor on the HAT, along with the
 pixel display and the joystick. The API is exactly the same as the official
 API, meaning code developed against the emulator should require no more than
 a one word change to run on the actual HAT.
 .
 This is the Python 3 version of the package. See sense-emu-tools for the
 emulator binary.

Package: python-sense-emu-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation for the Raspberry Pi Sense HAT emulator.
 sense-emu is an emulator of the Raspberry Pi Sense HAT which runs on multiple
 platforms, and provides an emulation of each sensor on the HAT, along with the
 pixel display and the joystick. The API is exactly the same as the official
 API, meaning code developed against the emulator should require no more than
 a one word change to run on the actual HAT.
 .
 This is the version independent documentation for the package.

Package: sense-emu-tools
Architecture: all
Section: devel
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-sense-emu (>= ${binary:Version}),
 python3-gi,
 python3-gi-cairo,
Recommends: thonny
Description: Emulator for the Raspberry Pi Sense HAT.
 sense-emu is an emulator of the Raspberry Pi Sense HAT which runs on multiple
 platforms, and provides an emulation of each sensor on the HAT, along with the
 pixel display and the joystick. The API is exactly the same as the official
 API, meaning code developed against the emulator should require no more than
 a one word change to run on the actual HAT.
 .
 This is the tools (GUI and command line) for the emulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_NAME=sense-emu

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C icons/
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man

override_dh_auto_install:
	dh_auto_install
	# Strip out binaries from the library packages (and move the py3 ones
	# into the sense-emu-tools package)
	rm -fr debian/python-sense-emu/usr/bin
	mkdir -p debian/sense-emu-tools/usr/bin
	mv debian/python3-sense-emu/usr/bin/* debian/sense-emu-tools/usr/bin/
	rmdir debian/python3-sense-emu/usr/bin
	# Strip out compiled gschemas from everything (it's handled by the
	# .install file and is only included in the source distro for
	# development purposes and odd platforms like Windows)
	find debian/ -name "gschemas.compiled" -delete

override_dh_auto_test:
	# Don't try and find any tests ... because there aren't any!

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-sense-emu -ppython-sense-emu-doc
	dh_installdocs -ppython3-sense-emu
	dh_installdocs -psense-emu-tools

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@_$1\.orig\.tar\.gz/ \
  https://github.com/astro-pi/python-@PACKAGE@/tags .*/v?@ANY_VERSION@\.tar\.gz
